##
##  libtool.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_dist   2.5.3
%define       V_subdir 2.5.3

#   package information
Name:         libtool
Summary:      Library Building Tool
URL:          http://www.gnu.org/software/libtool/
Vendor:       Free Software Foundation
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        CORE
Group:        Building
License:      GPL
Version:      %{V_dist}
Release:      20240926

#   list of sources
Source0:      http://ftp.gnu.org/gnu/libtool/libtool-%{V_dist}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, make
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  m4
PreReq:       m4

%description
    GNU libtool is a generic library support script. Libtool hides the
    complexity of using shared libraries behind a consistent, portable
    interface.

%track
    prog libtool = {
        version   = %{V_dist}
        url       = http://ftp.gnu.org/gnu/libtool/
        regex     = libtool-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n libtool-%{V_subdir}

%build
    #   configure package
    %{l_shtool} subst \
        -e 's;grep ggrep;grep ggrep egrep;g' \
        -e 's;-e .-(cannot match)-.;;g' \
        `find . -name configure -print`
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --infodir=%{l_prefix}/info \
        --mandir=%{l_prefix}/man \
        --enable-static \
        --enable-shared

    #   build package
    %{l_make} %{l_mflags}

%install

    #   install package
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"

    #   strip down installation
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/libltdl.so*
    %{l_shtool} subst \
        -e 's;^\(library_names\)=.*$;\1="";' \
        -e 's;^\(dlname\)=.*$;\1="";' \
        $RPM_BUILD_ROOT%{l_prefix}/lib/libltdl.la

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std}

%files -f files

%clean

